"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.detectCliMode = exports.CLI_MODE_PROPERTY = void 0;
/**
 * CLI_MODE_PROPERTY can have the following values "DEFAULT" | "CI" | "SANDBOX"
 */
exports.CLI_MODE_PROPERTY = '__CLI_MODE__';
function detectCliMode() {
    const possibleKeys = [exports.CLI_MODE_PROPERTY, 'GITHUB_ACTION'];
    const key = possibleKeys.find(key => process.env[key] !== undefined);
    if (key !== undefined) {
        return process.env[key];
    }
    return 'DEFAULT';
}
exports.detectCliMode = detectCliMode;
//# sourceMappingURL=cli-modes.js.map