import { UserFlow } from 'lighthouse/lighthouse-core/fraggle-rock/api';
import { PersistOptions } from '../../../../core/rc-json/types';
import { UserFlowProvider } from './types';
export declare function persistFlow(flow: UserFlow, name: string, { outPath, format }: PersistOptions): Promise<string[]>;
export declare function collectFlow(cliOption: {
    url: string;
    dryRun: boolean;
}, userFlowProvider: UserFlowProvider & {
    path: string;
}): Promise<UserFlow>;
export declare function loadFlow(path: string): ({
    exports: UserFlowProvider;
    path: string;
})[];
